Bug 246484 - RFE: Allow building with other fortran compilers
RFE: Allow building with other fortran compilers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 13:08 EDT by Deji Akingunola
Modified: 2010-02-19 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-19 19:07:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to the openmpi spec file (2.03 KB, patch)
2007-07-02 13:08 EDT, Deji Akingunola
no flags Details | Diff

  None (edit)
Description Deji Akingunola 2007-07-02 13:08:19 EDT
Description of problem:
I noticed you now allow building openmpi with other compilers, thanks for that.
But the support is rather incomplete; in my limited (and biased) experience, a
lot of people would actually use the gcc but other fortran compilers for the
fortran module when building openmpi. And when they actually use other C
compilers, they tend to use the fortran compiler for that brand (gfortran would
not work with anything other that gcc anyways).
Also, I noticed you have forgotten to set the FCFLAGS, without it the
appropriate compile-time option for the fortran 90 modules are not applied.
Lastly, packaging the '*.la' files seems unnecessary (the Fedora package
guildelines actually states they should be removed).
The attached patch to the spec file attempt to fix the above issues.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Deji Akingunola 2007-07-02 13:08:19 EDT
Created attachment 158351 [details]
Patch to the openmpi spec file
Comment 2 Jon Stanley 2008-04-23 16:30:30 EDT
Adding FutureFeature keyword to RFE's.
Comment 3 Doug Ledford 2009-03-19 15:13:55 EDT
Jay is helping out with Open MPI issues, so added him to the Cc list.
Comment 4 Doug Ledford 2009-07-21 11:20:27 EDT
I've probably done as much as I'm going to towards enabling this support.  The updated settings can be found in the upcoming openmpi-1.3.3-1 update.
Comment 5 Fedora Update System 2009-07-21 11:52:20 EDT
openmpi-1.3.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openmpi-1.3.3-1.fc11
Comment 6 Fedora Update System 2009-07-23 15:06:33 EDT
openmpi-1.3.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openmpi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7951
Comment 7 Alex Lancaster 2009-11-12 15:54:18 EST
Unfortunately a new update was pushed which omitted adding this bug to a new update to supercede the one above.  Please visit:

https://admin.fedoraproject.org/updates/F11/FEDORA-2009-10848

and test the version in updates-testing before it gets pushed to stable (which will happen very soon) to make sure there are no regressions.
Comment 8 Doug Ledford 2010-02-19 19:07:09 EST
This should be resolved by the current openmpi, closing.

Note You need to log in before you can comment on or make changes to this bug.